%global enable_tests 0

Name:           nodejs-tilejson
Version:        0.11.0
Release:        1%{?dist}
Summary:        Tile source backend for online tile sources

License:        BSD
URL:            https://github.com/mapbox/node-tilejson
Source0:        http://registry.npmjs.org/tilejson/-/tilejson-%{version}.tgz
# https://github.com/mapbox/node-tilejson/commit/c019c1f77aadce0494ab1bb2e43fb1419f9ef549
Patch0:         nodejs-tilejson-agentkeepalive.patch
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape) >= 3.0.0
BuildRequires:  npm(agentkeepalive)
BuildRequires:  npm(get)
BuildRequires:  npm(tiletype) >= 0.1.0
%endif

%description
%summary


%prep
%setup -q -n package
%patch0 -p1
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/tilejson
cp -pr package.json lib %{buildroot}/%{nodejs_sitelib}/tilejson
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/tape/bin/tape test/*.js
%endif


%files
%doc LICENSE
%{nodejs_sitelib}/tilejson


%changelog
* Wed Nov 12 2014 Tom Hughes <tom@compton.nu> - 0.11.0-1
- Update to 0.11.0 upstream release

* Tue Aug 26 2014 Tom Hughes <tom@compton.nu> - 0.10.0-1
- Update to 0.10.0 upstream release

* Wed Jul 30 2014 Tom Hughes <tom@compton.nu> - 0.9.0-2
- Update agentkeepalive dependency

* Tue Jul 29 2014 Tom Hughes <tom@compton.nu> - 0.9.0-1
- Update to 0.9.0 upstream release

* Mon Jun 30 2014 Tom Hughes <tom@compton.nu> - 0.8.0-1
- Update to 0.8.0 upstream release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 12 2014 Tom Hughes <tom@compton.nu> - 0.6.4-1
- Update to 0.6.4 upstream release

* Sat Feb  8 2014 Tom Hughes <tom@compton.nu> - 0.6.3-1
- Update to 0.6.3 upstream release

* Thu Jan 30 2014 Tom Hughes <tom@compton.nu> - 0.6.2-1
- Update to 0.6.2 upstream release

* Sat Dec 14 2013 Tom Hughes <tom@compton.nu> - 0.6.1-2
- Update to 0.6.1 upstream release

* Sat Nov  9 2013 Tom Hughes <tom@compton.nu> - 0.6.0-2
- Update agentkeepalive dependency

* Tue Oct  1 2013 Tom Hughes <tom@compton.nu> - 0.6.0-1
- Update to 0.6.0 upstream release

* Wed Sep 18 2013 Tom Hughes <tom@compton.nu> - 0.5.0-1
- Update to 0.5.0 upstream release

* Tue Aug 20 2013 Tom Hughes <tom@compton.nu> - 0.4.0-1
- Update to 0.4.0 upstream release
- Update to latest nodejs packaging standards

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 29 2013 Tom Hughes <tom@compton.nu> - 0.3.4-1
- Update to 0.3.4 upstream release

* Mon Feb 25 2013 Tom Hughes <tom@compton.nu> - 0.3.2-1
- Initial build of 0.3.2
